<!DOCTYPE html>
<html>
<head>
  <title>Generate CSV</title>
</head>
<body>
  <h1>Generate CSV</h1>
  <form method="POST">
    {% csrf_token %}
    <label for="schema">Select Schema:</label>
    <select name="schema" id="schema">
      {% for schema in schemas %}
        <option value="{{ schema.id }}">{{ schema.name }}</option>
      {% endfor %}
    </select>
    <br>
    <label for="separator">Separator:</label>
    <input type="text" name="separator" id="separator" value=",">
    <br>
    <label for="num_rows">Number of Rows:</label>
    <input type="number" name="num_rows" id="num_rows" value="1">
    <br>
    <button type="submit">Generate CSV</button>
  </form>
</body>
</html>
